Package org.italiangrid.voms.request.impl

# Class DefaultVOMSServerInfo

java.lang.Object
org.italiangrid.voms.request.impl.DefaultVOMSServerInfo

All Implemented Interfaces:
  `VOMSServerInfo`

public class DefaultVOMSServerInfo extends Object implements VOMSServerInfo
The default implementation of the `VOMSServerInfo` endpoint information.

Author:
  andreaceccanti

## Constructor Summary

Constructors
Constructor
Description
`DefaultVOMSServerInfo()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getAlias()`
Returns the alias for this `VOMSServerInfo`.
`URI`
`getURL()`
Returns the URL for this `VOMSServerInfo`.
`String`
`getVOMSServerDN()`
Returns the certificate subject as listed in the VOMSES configuration for this `VOMSServerInfo`
`String`
`getVoName()`
Returns the VO name for this `VOMSServerInfo`.
`int`
`hashCode()`
`void`
`setAlias(String alias)`
`void`
`setURL(URI uRL)`
`void`
`setVOMSServerDN(String vomsServerDN)`
`void`
`setVoName(String voName)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DefaultVOMSServerInfo

public DefaultVOMSServerInfo()

## Method Details

### getAlias

public String getAlias()
Description copied from interface: `VOMSServerInfo`
Returns the alias for this `VOMSServerInfo`.

Specified by:
  `getAlias` in interface `VOMSServerInfo`
Returns:
  the alias

### setAlias

public void setAlias(String alias)

### getVoName

public String getVoName()
Description copied from interface: `VOMSServerInfo`
Returns the VO name for this `VOMSServerInfo`.

Specified by:
  `getVoName` in interface `VOMSServerInfo`
Returns:
  the vo name

### setVoName

public void setVoName(String voName)

### getVOMSServerDN

public String getVOMSServerDN()
Description copied from interface: `VOMSServerInfo`
Returns the certificate subject as listed in the VOMSES configuration for this `VOMSServerInfo`

Specified by:
  `getVOMSServerDN` in interface `VOMSServerInfo`
Returns:
  a string containing the certificate subject, enconded following the DN openssl slash-separated syntax

### setVOMSServerDN

public void setVOMSServerDN(String vomsServerDN)

### getURL

public URI getURL()
Description copied from interface: `VOMSServerInfo`
Returns the URL for this `VOMSServerInfo`.

Specified by:
  `getURL` in interface `VOMSServerInfo`
Returns:
  the contact `URI`

### setURL

public void setURL(URI uRL)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`